h1, h2{
    font-family: Arial;
    float:left;
}

h2{
    margin-left: 1vw;
}

table{
    margin-top: 0.5vh;
    background-color:black;
    width: 100%;
}

tr{
    height:8vh;
    background-color:white;
    font-family: Verdana;
    font-size: 1.2vw;

}

td{
    text-align: center;
    font-size: 1.1vw;
}

header{
    background-color:rgb(214, 200, 200);
    height: 10vh;
    width: 100%;
    left: 0;
    top: 0;
    position:fixed;
    display: flex;
    align-items: center;
}

#notifBar{
    height: 5vh;
    width: 5vh;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 78%;
    position: relative;
}

#notifBlock{
    top: 6%;
    right: 8%;
    width: 21vw;
    height: 20vh;
    border: 3px solid darkgrey;
    display: none;
    position: fixed;
    background-color: white;
}

#notifContent{
    border-top: 2px solid grey;
    border-bottom: 2px solid grey;
    height: 7vh;
    display: flex;
    align-items: center;
    padding-left: 0.3vw;
}


@keyframes blink-1 {
    0%,
    100% {
      opacity: 1;
    }
    50% {
      opacity: 0;
    }
  }

#notifBlink{
    top: 14%;
    right: 14%;
    height: 0.8vh;
    width: 0.8vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    animation: blink-1 1s infinite;
}

#profileBar{
    height: 8vh;  
    width: 15vw;
    top: 0;
    display: flex;
    align-items: center;
    margin-left: 2%;
}
#profileBlock{
    top: 6%;
    right: 2%;
    width: 21vw;
    height: 20vh;
    border: 3px solid darkgrey;
    display: none;
    position: fixed;
    background-color: white;
}

#profileContent{
    border-top: 2px solid grey;
    border-bottom: 2px solid grey;
    height: 15vh;
    display: flex;
    /* align-items: center; */
}

#profName{ /*<p>*/
    margin-left: 5%;
    font-family: Verdana;
    font-size: 1.9vh;
    color: black;
}

label{
    align-self: left;
    font-family: Verdana;
}

#tableSt{
    margin-top: 10vh;   
    margin-left: 20vw;  
    width: 70vw;          
    height: 30vh;       
    position: relative;
    overflow-y: auto;
}

#studentList{
    width:100%;
}

#userStatus{
    appearance: none;
    width: 2vw;
    height: 2vw;
    border-radius:50%;
    background-color: #777;
    cursor: pointer;
    transition: background-color 0.3s;
    position: static;
    pointer-events: none;
}

#userStatus:checked {
    background-color: #0f0; 
}

button{
    background-color:white;
    cursor: pointer;
}

button:hover{
    background-color: lightgrey;
}

#sideBar{
    position: absolute;
    width: 13vw;  
    height: 20vh;     
    margin-top: 17vh; 
    margin-left: 4vw;  
    text-align: left;

}

#DashboardBar, #StudentsBar, #TasksBar{
    font-family: Arial;
    font-size: 3vh;       
    /* width: 100%; */
    height: 30%;
}

#addStudent{
    float: right;
    margin-bottom: 1vh;
}

#add{
    font-size: 2.5vh;
}

#txt{
    text-align: left;
    font-family: Verdana;
    font-size: 2.5vh;
    margin-left: 0.5vw;
}

label{
    font-size: 2vh;
}

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    z-index: 1;

    width: 60vh;
    height: 60vh;
    border: 2px solid black;
    border-radius: 5px;
    text-align: center;
}

.popup-content {
    width: 100%;
    height: 60%;
    border-top: 2px solid #333; 
    border-bottom: 2px solid #333;
    margin-top: 20%;
}

input, #group-select, #gender-select{
    border: 1px solid black;
}

.close {
    text-align:center;
    align-items: center;
    justify-content: center;
    font-family: Verdana;
    position: absolute;
    width: 5%;
    height: 5%;
    top: 1.5vh;
    right: 1.5vh;
    cursor: pointer;
    border: 2px solid grey;
}

.close:hover{
    background-color: lightgrey;
}


.editBtn{
    background: url(./images/edit.png) no-repeat scroll 0.8vh 0.8vh transparent;
    background-size: 3vh;
    height: 5vh;
    width: 5vh;
}

.deleteBtn{
    margin-left: 0.5vw;
    background: url(./images/trash-can.png) no-repeat scroll 0.8vh 0.8vh transparent;
    background-size: 3vh;
    height: 5vh;
    width: 5vh;
}

#delPopup{
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    z-index: 1;
    width: 35vw;
    height: 45vh;
    border: 2px solid black;
    border-radius: 7px;
    text-align: center;
}

#delContent{
    width: 100%;
    height: 55%;
    border-top: 2px solid #333; 
    border-bottom: 2px solid #333;
    margin-top: 15%;
    justify-content: center;
    position: relative;
    text-align: center;
}

#delWarning{
    font-family: verdana;
    font-size: 1.5vw;
}

#pages{
    margin-left: 5%;
    height: 6vh;
    width:90%;
    position: relative;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}

#centering{
    margin: 0;
    
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    
}

#pagesOptions{
    height: 8%;
    width: 4%;
}

#texts{
    float: left;
    height: 65%;
    width: 20%;
    margin-top: 7%;
    margin-left: 22%;
    text-align: left;
}

#options{
    float: left;
    height: 65%;
    width: 35%;
    margin-top: 7%;
    align-items: left;
}

.addStudentISsizes{
    width: 80%;
    float: left;
}


body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

#messagesPage {
    border: 1px solid #f6d2d2;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: hwb(0 100% 0%);
    display: none;
    position: absolute;
    top: 12vh;
    margin-left: 20vw;
    width: 75vw;
    height: 85vh;
    z-index: 10;
}

#chats-header{
    top: 10%;
    left: 5%;
    width: 20%;
    height: 85%;
    border: 2px black solid;
    position: absolute;
    /* display: flex;
    flex-direction: column;
    align-items: center; */
    overflow-y: auto;
}

#addChat{
    /*кнопка для додавання нового чату*/
    margin-top: 7%;
    margin-left: 18%;
}

#active-chat{
    top: 10%;
    left: 30%;
    height: 75%;
    width: 65%;
    border: 2px black solid;
    position: absolute;
    border-color: #f6d2d2;
    border-bottom: transparent;
    overflow-y: auto;
}

#title-activechat{
    text-align: left;
    font-family: Verdana;
    font-weight: bold;
    font-size: 1.2vw;
    margin-left: 0.5vw;
    display:flex;
    /* border: 2px solid rgb(0, 238, 255); */
    margin-top:1.5%;
}

#title-members{
    text-align: left;
    font-family: Verdana;
    font-weight: bold;
    font-size: 1.2vw;
    margin-left: 0.5vw;
    display:flex;
    /* border: 2px solid rgb(0, 238, 255); */
    width: 14%;
    margin-top: 1.5%;
}

#active-chat-title{
    /* border:2px solid purple; */
    height: 10%;
}

#chat-members{
    border-top: 2px solid black;
    border-bottom: 2px solid black;
    height: 9%;
    display:flex;
    margin-left: 0%;
}

#active-chat-messages{
    overflow-y: auto;
    /* border: 2px solid blue; */
    height: 78%;
}

#addStudentToChat{
    /* position: absolute;
    top: 6%; */
    color: rgb(18, 121, 27);
}

#addStudentToChat:hover{
    cursor: pointer;
}

#addStudentPage{
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #f5f5f5;
    display: none;
    position: absolute;
    text-align:center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 29.3vw;
    height: 22vh;
    z-index: 15;
}

#removeStudentPage{
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #f5f5f5;
    display: none;
    position: absolute;
    text-align:center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 34vw;
    height: 22vh;
    z-index: 15;
}

#removeStudentFromChat:hover{
    cursor: pointer;
}

#removeStudentFromChat{
    /* position: absolute;
    top: 11%; */
    margin-left: 1.5%;
    color: rgb(214, 31, 21);
}

#write-message{
    left: 30%;
    top: 85%;
    width: 65%;
    height: 10%;
    position:absolute;
    border: 2px solid black;
}

#enter-message{
    margin-top: 1%;
    margin-left: 5%;
    width:80%;
    height: 70%;
    font-size: 1.2vw;
    border-radius: 0.5vw;
}

#send-message{
    height: 37.5%;
    width: 3.5%;
    margin-top: 2.5%;
    margin-left: 5%;
    border: none;
    position: absolute;
    background-image: url('./images/send-message.png');
    background-position: center;
    background-size: 100% 100%;
}

#send-message:hover{
    background-color: white;
    cursor: pointer; 
}

#send-message img{
    width: 50px;
    height: auto;
}

/*
            <div id="write-message">
                <input type="text" id="enter-message">
                <button id="send-message"></button>
            </div>
*/

#loginPopup{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 600px;
    height: 400px;
    text-shadow: 2px 2px 4px #e9b2b2f6;
    background-color: rgb(232, 190, 190);
    border: 2px solid rgb(7, 7, 7);
    z-index: 15;
}

#loginContent{
    width: 100%;
    height: 55%;
    border-top: 2px solid #333; 
    border-bottom: 2px solid #333;
    margin-top: 15%;
    justify-content: center;
    position: relative;
    text-align: center;
    display: block;
}

#black-bg{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

.chatroom-obj{
    margin-top: 5%;
    width: 80%;
    margin-left: 10%;
    height: 10%;
    border: 1px solid black;
    border-radius: 3px;
    text-align: center;
    font-size: 1.2vw;
    /* position: absolute; */
    display: block;
}

.msg-container{
    height: 6vh;
    display: flex;
}

.msg-container.right{
    justify-content: flex-end;
}

.img-and-name-container{
    height: 5vh;
    width: 5vh;
    margin-left: 0.3vw; 
    text-align:center; 
    display: flex; 
    flex-direction: column;
}

.msg-img{
    width: 4vh;
    height: 4vh; 
    margin-left: 10%; 
    margin-top: 5%;
}


.text-bubble{
    /* position: absolute; */
    display: flex;
    width: 10vw;
    height: 5vh;
    border: 1px solid darkslategray;
    border-radius: 3vh;
    background-color: lightgray;
    justify-content: center; 
    align-items: center;
    font-size: 1vw;
}

.text-bubble.right{
    float: right;
    margin-right: 0.5vw;
}

.text-bubble.left{
    float: left;
    margin-left: 0.3vw;
}

#servermsg-div{
  height: 6vh;
    
  display: flex;
  align-items: center;
  justify-content: center;
}
  
#servermsg-txt{
  font-size: 2.5vh;
    font-family: Helvetica;
    color: gray;
}


#chatRoomPopup{
    display: none; /*none <-> flex*/
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    height: 50%;
    background-color: whitesmoke;
    border: 2px solid black;
    z-index: 15;
    
}

#roomSettings{
    width: 60%;
    border-right: 2px black dashed;
}


#addedStudents{
    width: 40%
}

#chatCreateName{
    margin-top: 10%;
    width: 30%;
}

#addStudentToNewChat{
    margin-left: 43%;
} 

#createNewChat{
    margin-left: 35%;
}


#removeStudentFromNewChat{
    border: 2px solid rgb(29, 161, 29);
}